<template>
  <!-- 预验收 -->
  <div
    class="items bgc"
    id="acc2"
  >
    <!-- 标题 -->
    <div class="title">
      <span class="icon"></span>
      <span class="text">预验收</span>
    </div>
    <!-- 详情 -->
    <div class="table-border">
      <el-table
        :data="data"
        height="230"
        border
        style="width: 100%"
        :header-cell-style="{background: '#f2f2f2', color: '#000'}"
        @row-click="handleRowDBClick"
      >
        <el-table-column
          type="index"
          label="序号"
          width="60"
          align="center"
        >
        </el-table-column>
        <el-table-column
          prop="preAcceptancePersonId"
          label="验收会议主题"
          align="center"
          :show-overflow-tooltip="true"
        >
         <template v-slot="{row}">
          <a
            class="a-link"
            >{{ row.preAcceptancePersonId }}</a
          >
        </template>
        </el-table-column>
        <el-table-column
          prop="planAcceptanceDate"
          label="验收时间"
          align="center"
          width="130"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        
        <!-- <el-table-column
          prop="preAcceptancePersonName"
          label="发起人"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column> -->
        <!-- <el-table-column
          prop="preAcceptanceUnit"
          label="发起单位"
          align="center"
          width="120"
          :show-overflow-tooltip="true"
        >
        </el-table-column> -->
        <!-- <el-table-column
          prop="planAcceptanceDate"
          label="计划交工时间"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column> -->
        <!-- <el-table-column
          prop="actualAcceptanceDate"
          label="实际交工时间"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column> -->
        <el-table-column
          prop="preSufReason"
          label="参加单位"
          align="center"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
        <el-table-column
          prop="remarks"
          label="备注"
          align="center"
          width="80"
          :show-overflow-tooltip="true"
        >
        </el-table-column>
      </el-table>
      <div class="page-footer">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="pageResult.page"
          :page-sizes="[5, 10, 20, 30, 50]"
          :page-size="pageResult.pageSize"
          layout="total, sizes, prev, pager, next, jumper"
          :total="pageResult.total"
        >
        </el-pagination>
      </div>
      <el-dialog
        title="预验收-详情"
        :visible.sync="dialogVisible"
        width="1000px"
      >
        <table align="center">
          <tr>
            <td class="bgColor" style="width: 130px">验收会议主题</td>
            <td colspan="3">{{form.preAcceptancePersonId}}</td>
          </tr>
          <tr>
            <!-- <td
              class="bgColor"
              style="width: 130px"
            >经办人</td>
            <td style="width: 260px">{{ form.preAcceptancePersonName }}</td> -->
            <td
              class="bgColor"
              style="width: 130px"
            >验收时间</td>
            <td>{{ form.planAcceptanceDate }}</td>
            <td class="bgColor" style="width: 130px">验收地点</td>
            <td >{{ form.preAcceptanceUnit }}</td>
          </tr>
          <tr>
            <td class="bgColor">参建单位</td>
            <td colspan="3">{{form.preSufReason}}</td>
          </tr>
          <!-- <tr>
            <td class="bgColor">附件信息</td>
            <td colspan="3">
              <el-link
                type="primary"
                @click="handleLook(form.accessoryInfo)"
                v-if="form.accessoryInfo && form.accessoryInfo.length > 0"
              >查看附件({{ form.accessoryInfo.length }}个)</el-link>
              <span v-else>无</span>
            </td>
          </tr> -->
          <tr>
            <td class="bgColor">备注</td>
            <td colspan="3">{{ form.remarks }}</td>
          </tr>
        </table>
        <dialog-accessory ref="accessory" :accessoryInfo="form.accessoryInfo" />
        <div class="flexEnd">
          <div class="end">
            <!-- <span>项目名称：{{form.projectInfo && form.projectInfo.projectName}}</span> -->
            <span>{{form.projectInfo &&form.projectInfo.projectManager}}</span>
            <span>{{form.projectInfo &&form.projectInfo.commencementTime}}</span>
          </div>
        </div>
      </el-dialog>
      
    </div>
  </div>
</template>
<script>
import dialogAccessory from '../dialog/dialogAccessory.vue'
export default {
  name: 'advanceAccept',
  components: {
    dialogAccessory
  },
  data() {
    return {
      data: [], //表格数据
      pageResult: {
        page: 1,
        pageSize: 10,
        total: 0
      },
      form: {},
      dialogVisible: false,
      dialogTitle: '添加'
    }
  },
  mounted() {
    this.loadData()
  },
  methods: {
    //附件
    handleLook(obj) {
      this.$refs.accessory.open(obj)
    },
    handleSizeChange(val) {
      this.pageResult.pageSize = val
      this.loadData()
    },
    handleCurrentChange(val) {
      this.pageResult.page = val
      this.loadData()
    },
    handleRowDBClick(data) {
      this.dialogVisible = true
      this.form = data
    },
    loadData() {
      let param = {
        pageBean: {
          ...this.pageResult
        },
        querys: [
          {
            group: 'advance',
            opener: 'LIKE',
            property: 'pm.ID_',
            relation: 'AND',
            value: this.$route.params.id
          }
        ]
      }
      this.$http
        .post('${cqxy}/biz/completionAcceptance/preAcceptance/v1/page', param)
        .then(
          resp => {
            let response = resp.data.value
            this.data = response.rows
            this.pageResult = {
              page: response.page,
              pageSize: response.pageSize,
              total: response.total
            }
          },
          error => {
            reject(error)
          }
        )
    }
  }
}
</script>
<style lang="scss" scoped>
@import '../css/projectCommon.scss';
/deep/ .el-main .content {
  padding: 0 !important;
}
.page-footer {
  padding-top: 10px;
  float: right;
}
/deep/ .el-dialog__body {
  padding-top: 10px;
}
.table-border {
  height: 515px;
}
/deep/ .el-table {
  height: calc(100% - 40px) !important;
}
</style>
